
set sImage [image create photo -file "$images/GUISplash.gif"]
set showSplash 1

proc createSplash {} {
	global sImage	\
		showSplash

	toplevel .splash
	wm resizable .splash 0 0
	wm title .splash "Splash"

	label .splash.splashImage	\
		-image $sImage
		
	checkbutton .splash.showMe	\
		-variable showSplash	\
		-text "Show At Startup"

	button .splash.dismiss	\
		-text "Dismiss"	\
		-command killSplash

	pack .splash.splashImage
	pack .splash.showMe
	pack .splash.dismiss
}

proc killSplash {} {
	global showSplash
	
	set splashFile [open splash.cfg w]
	puts $splashFile $showSplash
	
	destroy .splash
	
}

if [catch {open splash.cfg r+} splashFile] {
	#No splash screen preference file
	createSplash
} else {
	gets $splashFile line
	set showSplash $line
	if $showSplash { createSplash }
}